Subject: [Teas] IETF TE Topology YANG Model Design Meeting Notes - 2016-12-07

From: Xufeng Liu <[email-masked]>
Date: Tue, 13 Dec 2016 22:27:52 +0000

Attendees:
Igor, Xufeng, Sergio, Pavan, Tarek

- Continued the discussion on the impacts of ospf TE potential changes
  > There are two on-going proposals that may affect the TE topology model
    1) https://datatracker.ietf.org/doc/draft-ppsenak-ospf-te-link-attr-reuse/
    2) https://datatracker.ietf.org/doc/draft-hegde-ospf-advertising-te-protocols/

  > Attendees agreed on the following approsal:

augment /nw:networks/nw:network/nt:link:
   +--rw te!
      +--rw config
      |  +--rw te-link-attributes
      |     +--rw access-type?                      te-types:te-link-access-type
      |     +--rw administrative-group?             te-types:admin-groups
      |     +--rw te-delay-metric?                  uint32
      |     +--rw te-srlgs
+      |     +--rw te-application* [application]
+      |        +--rw application  identityref  // {rsvp, sr, ...}
+      |        +--rw app-specific-attr? uint32 // only app specific attr added
                                                // augment later on when needed

  > This proposals can support both 1) and 2)
    o For draft 2), a list of applications can be added to the link.
      No application specific attributes need to be augmented.

    o For draft 1), a list of applications can be added to the link.
      In the future, if any application specific attributes are defined,
      these attributes will be added to the te-application entry by
      augmentation.

- Reviewed the approsal to hold performance metric (base model, or packet)
       o In te-types.yang, a shared grouping will be defined.
       o The schema tree of the base model does not include this
         section so that OTN and DWDM users will not see the clutter.
       o For each technology that needs this section, a one-line
         "uses" statement is added to include this section to cover
               this feature.

- Bandwidth representation
  Will add explanation and examples in the description field to cover
  fixed grid or flexible grid cases: <grid, slot, width>

- Started discussion of the naming for MDLG. Will continue next time.

- Logistics
  > Will have our regular meeting on Dec 14, and have a two-week bread after.

Thanks,

- Xufeng

Note: Please drop me an email if you need an invite for joining the weekly call.